﻿using UnityEngine;
using UnityEditor;

public class GameObjectUtils : MonoBehaviour {

	[MenuItem("GameObject/Wrap in Object")]
	
	static void WrapInObject()
	{
		if(Selection.gameObjects.Length == 0)
			return;
		
		string theName = Selection.gameObjects[0].name;
		GameObject go = new GameObject( theName + " Wrapper" );
		go.transform.parent = Selection.activeTransform.parent;
		if( go.transform.parent )
		{
			go.transform.localScale = go.transform.parent.localScale;
		}
		go.transform.position = Vector3.zero;
		
		if( Selection.activeTransform != null )
		{
			go.transform.position = Selection.activeTransform.position;
		}
		
		foreach(GameObject g in Selection.gameObjects)
		{
			g.transform.parent = go.transform;
		}
		
		Selection.activeTransform = go.transform;
	}
}
