﻿using UnityEngine;
using System.Collections;

public class MusicTimeManager
{
	public float musicTime = 0.0f;
	private static MusicTimeManager instance = new MusicTimeManager();

	public static MusicTimeManager Singleton()
	{
		return instance;
	}
}

public class ResumeLastMusicTime : MonoBehaviour
{
	// Use this for initialization
	void Awake()
	{
		audio.time = MusicTimeManager.Singleton().musicTime;
		audio.Play();
	}
	
	// Update is called once per frame
	void Update()
	{
		MusicTimeManager.Singleton().musicTime = audio.time;
	}
}
